/**
 * \file <mgui/keystate.h>
 * \brief MGUI::KEYSTATE definitions
 *
 * \if NODOC
 * $Id: keystate.h_v 1.2 2011/09/01 17:35:00 mju Exp $
 *
 * $Log: keystate.h_v $
 * Revision 1.2  2011/09/01 17:35:00  mju
 * Exclude macro from doxygen.
 *
 * Revision 1.1  2007/11/29 20:52:42  scowan
 * Initial revision
 * \endif
**/

#ifndef	INC_MGUI_KEYSTATE_H
#define	INC_MGUI_KEYSTATE_H

#ifndef	INC_MI32_STDDEFNS_H
	#include <mi32/stddefns.h>
#endif

namespace MGUI {

//===================================================================================================================
//! Enum used to specify which keys are pressed during a message handler.
//! NOTE:  These are exactly equivilant to some Windows constants.
//! The Alt KEYSTATE is not here because there is no mask for it in X
enum KEYSTATE {
	KEYSTATE_None		= 0x0000,
	KEYSTATE_Ctrl		= 0x0002,
	KEYSTATE_Control	= 0x0002,
	KEYSTATE_Shift		= 0x0004
	};

#ifndef GENERATING_DOXYGEN_OUTPUT
DEFINE_ENUM_OP_BITWISE(MGUI::KEYSTATE)
#endif

}	// End namespace MGUI

#endif	// INC_MGUI_KEYSTATE_H
