/**
 * \file dlldefns.h <mi32/dlldefns.h>
 * \brief DLL import/export definitions
 *
 * \if NODOC
 * $Log: dlldefns.h_v $
 * Revision 1.3  2007/04/04 17:27:02  scowan
 * Removed mac native section.
 *
 * Revision 1.2  2003/09/15 13:49:56  fileserver!dwilliss
 * Doxygen
 *
 * \endif
 */

#ifndef	INC_MI32_DLLDEFNS_H
#define	INC_MI32_DLLDEFNS_H

#if defined(NODLLLINKAGE)
	//! Specifically disabled
	#define MI_DLLIMPORT
	#define MI_DLLEXPORT
	#define MI_DLLCLASSIMPORT
	#define MI_DLLCLASSEXPORT
#elif defined(WIN32)
	//! Windows
	#define MI_DLLIMPORT	extern __declspec(dllimport)
	#define MI_DLLEXPORT	__declspec(dllexport)
	#define MI_DLLCLASSIMPORT	__declspec(dllimport)
	#define MI_DLLCLASSEXPORT	__declspec(dllexport)
#else			//! For all UNIX variants currently
	//! Not implemented
	#define MI_DLLIMPORT
	#define MI_DLLEXPORT
	#define MI_DLLCLASSIMPORT
	#define MI_DLLCLASSEXPORT
#endif

#endif	//!< INC_MI32_DLLDEFNS_H
