/**
 * \file mi32/xmlhelper.h
 * \brief XMLHELPER class definitions
 *
 * \if NODOC
 * $Id: xmlhelper.h_v 1.1 2007/01/11 15:48:02 mju Exp $
 *
 * $Log: xmlhelper.h_v $
 * Revision 1.1  2007/01/11 15:48:02  mju
 * Initial revision
 *
 * \endif
**/

#ifndef	INC_MI32_XMLHELPER_H
#define	INC_MI32_XMLHELPER_H

#ifndef	INC_MI32_STDDEFNS_H
#include <mi32/stddefns.h>
#endif


#ifndef GENERATING_DOXYGEN_OUTPUT
class XMLNODE;
class MISTRING;
class MISTRINGLIST;
#endif


//! Helper class with methods to handle common XML operations.
class XMLHELPER {
	public:

		//! Parse simple link in "xlink::simpleLink" attributeGroup.
		static bool ParseSimpleLink (
			const XMLNODE *xmlnode,
			MISTRING& linkret
			);

		//! Parse all child node text, optionally matching child name, into MISTRINGLIST.
		static void ParseStringList (
			const XMLNODE *topnode,
			MISTRINGLIST& StringList,
			const char *ChildName = 0
			);

	};

#endif	// INC_MI32_XMLHELPER_H
